/* Стили для попапа */
.popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Полупрозрачный фон */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    padding: 10px;
    box-sizing: border-box;
}

.popup.hidden {
    display: none; /* Прячем попап, пока он не нужен */
}

.popup-content {
    position: relative; /* Устанавливаем эту область как "контейнер" для абсолютных координат */
    background: var(--card); /* Пример общего стиля */
    padding: 20px;
    border-radius: 8px;
    max-height: 90%;
    overflow: auto;
    display: flex;
    flex-direction: column;
}

.popup-close {
    position: absolute; /* Абсолютное позиционирование */
    top: 0; /* Положение внутри элемента */
    right: 10px; /* Расстояние от правой границы */
    font-size: 20px;
    color: var(--muted);
    cursor: pointer;
    z-index: 10;
    background-color: white;
}

.popup-close:hover {
    color: var(--accent); /* Применяем акцентный цвет для hover */
}

.popup-content h3 {
    margin-top: 0;
}


